%define prefix   /usr

Name:	   linuxtrade
Version:   3.65
Release:   1
Summary:   LinuxTrade, Curses-based Stock Streamer for Linux
Copyright: Rick Richardson
Group:     Applications/Productivity
Source0:   linuxtrade-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /tmp/linuxtrade-%{PACKAGE_VERSION}-root
URL:       http://linuxtrade.0catch.com/
requires:  curl >= 7.9.5
Packager:  Rick Richardson <rickr@mn.rr.com>

%description
There are a number of free and subscription streaming real time quote
services available on the web, such as scottrader.com (free) and
money.net (subscription).  They offer visually slick looking Java
based applications which suffer from all the usual problems: too big,
requires a graphical user interface, requires a web browser where Java
actually works, can't save and replay the data, etc.  In addition,
they are rarely designed to offer convenient access to stock news and
other information.

LinuxTrade is a Curses (text-based)implementation of the Scottrader
Java application plus additional features inspired by the excellent
MedVed QuoteTracker Windows program plus its own set of unique
features.  LinuxTrade is lightweight yet has all the cool features:
portfolios, real time quotes, charts with live updates, time and
sales, fundamental and technical indicators, top ten and market
movers, news articles, alerts, option chains, the Briefing.com In Play
and Up/Downgrades lists, an earnings calendar, and Level 2 market
depth indications from the Archipelago and the Island ECN's.

LinuxTrade currently supports scottrader.com, money.net, quotemedia.com,
sonictrading.com, datek.com, and other streamer servers.


%prep
%setup

%build
./configure --prefix=%prefix
make 

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc ChangeLog
# %doc COPYING
%doc README
%doc AUTHORS
%doc NEWS
%doc INSTALL
%doc TODO
%doc linuxtrade.1.pdf
%doc linuxtrade.1.html
%doc linuxtrade.1-1.png
%doc linuxtrade.1-2.png
%doc linuxtrade.1-3.png
%doc linuxtrade.1-4.png
%doc linuxtrade.1-5.png
%doc linuxtrade.1-6.png
%doc linuxtrade.1-7.png
%doc linuxtrade.1-8.png
%doc linuxtrade.1-9.png
%doc linuxtrade.1-10.png
%doc linuxtrade.1-11.png
%doc linuxtrade.1-12.png
%doc linuxtrade.1-13.png
%doc linuxtrade.1-14.png
%doc linuxtrade.1-15.png
%doc linuxtrade.1-16.png
%doc linuxtrade.1-17.png
%doc linuxtrade.1-18.png
%doc linuxtrade.1-19.png
%doc linuxtrade.1-20.png
%doc linuxtrade.1-21.png
%doc linuxtrade.1-22.png
%doc linuxtrade.1-23.png
%doc linuxtrade.1-24.png
%doc linuxtrade.1-25.png
%doc linuxtrade.1-26.png
%doc linuxtrade.1-27.png
%doc linuxtrade.1-28.png
%doc linuxtrade.1-29.png
%doc linuxtrade.1-30.png
%doc linuxtrade.1-31.png
%doc linuxtrade.1-32.png
%doc linuxtrade.1-33.png
%doc linuxtrade.1-34.png

%{prefix}/bin/linuxtrade
%{prefix}/bin/linuxtrade-curl
%{prefix}/share/linuxtrade/bin/linuxtrade.advfn
%{prefix}/share/linuxtrade/bin/linuxtrade.audio
%{prefix}/share/linuxtrade/bin/linuxtrade.auth
%{prefix}/share/linuxtrade/bin/linuxtrade.av
%{prefix}/share/linuxtrade/bin/linuxtrade.bwkvol
%{prefix}/share/linuxtrade/bin/linuxtrade.conv
%{prefix}/share/linuxtrade/bin/linuxtrade.cpt
%{prefix}/share/linuxtrade/bin/linuxtrade.frb
%{prefix}/share/linuxtrade/bin/linuxtrade.G
%{prefix}/share/linuxtrade/bin/linuxtrade.hm
%{prefix}/share/linuxtrade/bin/linuxtrade.ibdvol
%{prefix}/share/linuxtrade/bin/linuxtrade.lc
%{prefix}/share/linuxtrade/bin/linuxtrade.name
%{prefix}/share/linuxtrade/bin/linuxtrade.pe
%{prefix}/share/linuxtrade/bin/linuxtrade.pf
%{prefix}/share/linuxtrade/bin/linuxtrade.pivot
%{prefix}/share/linuxtrade/bin/linuxtrade.qm
%{prefix}/share/linuxtrade/bin/linuxtrade.range
%{prefix}/share/linuxtrade/bin/linuxtrade.shortint
%{prefix}/share/linuxtrade/bin/linuxtrade.sq
%{prefix}/share/linuxtrade/bin/linuxtrade.up
%{prefix}/share/linuxtrade/bin/linuxtrade.wn
%{prefix}/share/linuxtrade/bin/lt-earnweed
%{prefix}/share/linuxtrade/bin/lt-stockfilter
%{prefix}/share/linuxtrade/bin/lt-stockprofile
%{prefix}/share/linuxtrade/bin/bloomearn.helper
%{prefix}/share/linuxtrade/bin/moneyam.helper
%{prefix}/man/man1/linuxtrade.1.gz
%{prefix}/share/applnk/Applications/linuxtrade.kdelnk
%{prefix}/share/gnome/apps/Applications/linuxtrade.desktop
%{prefix}/share/applications/linuxtrade.desktop
%{prefix}/share/icons/linuxtrade.xpm
%{prefix}/share/linuxtrade/players.txt
%{prefix}/share/linuxtrade/mmids.txt
%{prefix}/share/linuxtrade/java.policy.allperm
%{prefix}/share/pixmaps/linuxtrade_icon.png
